package com.caimei365.user;

import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class UserApplicationTests {

    @Test
    void contextLoads() {
        System.out.println(test1("郑超"));
        System.out.println(test1("郑超的"));
        System.out.println(test1("郑超的机"));
        System.out.println(test1("郑超的机构"));
        System.out.println(test1("郑超的机构中心"));
    }

    private StringBuilder test1(String userName){
        char[] nameArr = userName.toCharArray();
        StringBuilder showName = new StringBuilder();
        switch (nameArr.length) {
            case 0:
            case 1:
                break;
            case 2:
                showName.append('*').append(nameArr[1]);
                break;
            case 3:
                showName.append('*').append(nameArr[1]).append(nameArr[2]);
                break;
            case 4:
                showName.append(nameArr[0]).append(nameArr[1]).append('*').append(nameArr[3]);
                break;
            default:
                showName.append(nameArr[0]).append(nameArr[1]).append("***").append(nameArr[nameArr.length-1]);
        }
        return showName;
    }

}
